FORMAT: 1A
HOST: http://apiblueprint.vapi.devorch.com/

# Group Vectorapi
Group of all vectorapi-related resources.

## Substore

The Substore API will return list of substores i.e. customer_master.

## Index [/vectorapi/substore/index{?access_token}]

### Index [GET]

+ Parameters
    
    + access_token (required, varchar, `some token`)
    + store_id (optional, string, `1,2,3`)
    + country_id (optional, string, `1,2,3`)
    + substore_id (optional, string, `1,2,3`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{

    "envelope": {
        "header": {
            "apiVersion": "1.0",
                "baseUrl": "api.orchard.vr",
                "httpStatusCode": 200
        },
        "request": "substore/index?params=substore&index&vectorapi&json&<some_token>",
        "response": {
            "substores": [
                {
                    "customerId": 10034,
                    "customerMasterMasterId": 368,
                    "name": "121 Music AT",
                    "custType": "non_consignment",
                    "orderExp": null,
                    "paymentTerm": null,
                    "discount": null,
                    "physical": "N"
                },
                {
                    "customerId": 10035,
                    "customerMasterMasterId": 368,
                    "name": "121 Music BE",
                    "custType": "non_consignment",
                    "orderExp": null,
                    "paymentTerm": null,
                    "discount": null,
                    "physical": "N"
                }
            ]
        }
    }
}
